d3.csv('https://gist.githubusercontent.com/RajeevMukhesh/8c13e397abe721701d142221cfeef4e6/raw/2bcb2c605000f8fb6866f37988d268721296d974/RealEstate.csv', function(err, rows){

// creating a function to read csv file and return the attribute values as array  
function unpack(rows, key) {
	return rows.map(function(row)
	{ return row[key]; });}
  
//define the trace attributes for the plotly data
var trace2 = {
	x:unpack(rows, 'HouseAge'), 
  y:unpack(rows, 'UnitAreaPrice'), 
  z:unpack(rows, 'ConvenienceStores'),
	mode: 'markers',
	marker: {
		color: 'rgb(255, 51, 153)',
		size: 12,
		symbol: 'circle',
		line: {
		color: 'rgb(255, 51, 153)',
		width: 1},
		opacity: 0.8},
	type: 'scatter3d'};

var data = [trace2];
  
//define the layouts -margin, axes value adn stules for the plotly data  
var layout = {
  margin: {
	l: 1,
	r: 1,
	b: 1,
	t: 1},
  scene: {
    xaxis: {
      title: 'House Age',
      titlefont: {
         color: 'red',
         family: 'Arial, Open Sans',
         size: 12
      }
    },
    yaxis: {
      title: 'Unit Area Price',
      titlefont: {
         color: 'red',
         family: 'Arial, Open Sans',
         size: 12
      }
    },
  zaxis: {
      title: 'Convenience Stores',
      titlefont: {
         color: 'red',
         family: 'Arial, Open Sans',
         size: 12
      }
    }
   }
  };
  
// call the plotly newPlot method to plot the data
Plotly.newPlot('myDiv', data, layout);
});
